### Function

# ICalGLib Parser get_ctrl

since: 4.0

#### Declaration [src]

    ICalParserCtrl
    i_cal_parser_get_ctrl (
      void
    )

#### Description [src]

Gets the current parser setting how to handle CONTROL characters. `I_CAL_PARSER_CTRL_KEEP` keeps CONTROL characters in content-line, `I_CAL_PARSER_CTRL_OMIT` omits CONTROL characters from content-line and `I_CAL_PARSER_CTRL_ERROR` inserts an X-LIC-ERROR instead of content-line.

Available since: 4.0

#### Return value

Type: `ICalParserCtrl`

Get the current parser setting how to handle CONTROL characters.